import figures.*;

import java.util.*;
import stiftUndCo.*;
import java.awt.*;

public class Jojo extends KreisMod
{

	private double spd, spd2, xk, yk, grav, start, ausp;
	private Bildschirm scr;
	private Linie Seil;

public Jojo(double x, double y, double rad, double richtung, double geschwindigkeit, double gravitation, double auspendlung, Bildschirm bildschirm)
{
	super(x,y+rad,rad);

	spd = geschwindigkeit;
	scr = bildschirm;
	xk = x;
	yk = y+rad;
	start = y;
	grav = gravitation;
	ausp = auspendlung;
	Seil = new Linie(xk,start,xk,y);


}

public void SetzeGeschwindigkeit(double geschwindigkeit)
{
	spd = geschwindigkeit;
}

public void SetzeGravitation(double gra)
{
	grav = gra;
}

public void bewege()
{

    if(getY()+getRad() < scr.hoehe()) {

	spd = spd+grav;

	loesche();
	Seil.loesche();

	verschiebe(0,spd);
	Seil.setzeEndpunkt(xk,getY()-getRad());

	spd = spd+grav;

	Seil.zeige();
	zeige();

    }else{

	if(!(spd < 4))
	{

		spd = -spd+grav+ausp;

		loesche();
		Seil.loesche();

		verschiebe(0,spd);
		Seil.setzeEndpunkt(xk,getY()-getRad());

		spd = spd+grav;

		Seil.zeige();
		zeige();
	}

    }
}

}
